> Hi,
> I have installed distribution's 2.4 and cvs . I built cvs with
> --preifix=/usr/local but there is some conflict with 2.4 which refuses
> to
> run having detected the conflicting library versions. Here the
> beginning
> of ldd for 2.4


> bash-3.2#echo $PATH

I think all the paths are getting mixed up

                ^^^^^^^^^^^^^^   before  ^^^^^^^

> bash-3.2#echo $LD_LIBRARY_PATH
> /usr/qt/3/lib

It is picking up /usr/local because that is what you path has first
(or before /usr/bin )

You are starting Gimp from a console?

You need to set the PATH to see /usr/bin first and the same for
LD_LIBRARY_PATH.to see /usr/lib first

export PATH=/usr/bin:$PATH and
export LD_LIBRARY_PATH=/usr/lib

and when you start 2.5, do so from another console with the paths set
to pick up the 2.5 libraries first.

You should actually keep away from /usr/local, the various bashrc and
profile files set up paths to include /usr and /usr/local and it can
get confusing.

Just build in /opt in accordance with the instructions for paths.

> I adapted the way I set this up last time but something did not
> follow.
> bash-3.2#which gimp4
> /usr/local/bin/gimp4
> bash-3.2#cat `!!`
> cat `which gimp4`
> #!/bin/sh
> #PATH=/usr/local/bin:$PATH
> #export PATH
> LD_LIBRARY_PATH=/usr/local/lib
> /usr/local/bin/gimp-2.5 "$@"
> I don't see why 2.4 is pulling from /usr/local/lib

Gimp-developer mailing list

Reply via email to